<?php
/**
 * @file
 * openedu_bean_carousel.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openedu_bean_carousel_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'openedu_bean_carousel_owl_carousel';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'eck_openedu_bean_assets';
  $view->human_name = 'OpenEDU Bean Carousel - Owl Carousel';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['pure_distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'owlcarousel';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_carousel_items_bean']['id'] = 'reverse_field_carousel_items_bean';
  $handler->display->display_options['relationships']['reverse_field_carousel_items_bean']['table'] = 'eck_openedu_bean_assets';
  $handler->display->display_options['relationships']['reverse_field_carousel_items_bean']['field'] = 'reverse_field_carousel_items_bean';
  $handler->display->display_options['relationships']['reverse_field_carousel_items_bean']['label'] = 'field_carousel_items';
  $handler->display->display_options['relationships']['reverse_field_carousel_items_bean']['required'] = TRUE;
  /* Field: Block: Items */
  $handler->display->display_options['fields']['field_carousel_items']['id'] = 'field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['table'] = 'field_data_field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['field'] = 'field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['relationship'] = 'reverse_field_carousel_items_bean';
  $handler->display->display_options['fields']['field_carousel_items']['label'] = '';
  $handler->display->display_options['fields']['field_carousel_items']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_carousel_items']['type'] = 'entityreference_entity_view';
  $handler->display->display_options['fields']['field_carousel_items']['settings'] = array(
    'view_mode' => 'default',
    'links' => 0,
  );
  $handler->display->display_options['fields']['field_carousel_items']['delta_offset'] = '0';
  /* Contextual filter: Block: Internal, numeric block ID */
  $handler->display->display_options['arguments']['bid']['id'] = 'bid';
  $handler->display->display_options['arguments']['bid']['table'] = 'bean';
  $handler->display->display_options['arguments']['bid']['field'] = 'bid';
  $handler->display->display_options['arguments']['bid']['relationship'] = 'reverse_field_carousel_items_bean';
  $handler->display->display_options['arguments']['bid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['bid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['bid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['bid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['bid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['bid']['break_phrase'] = TRUE;
  /* Filter criterion: OpenEDU Bean Assets: openedu_bean_assets type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_openedu_bean_assets';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'carousel_item' => 'carousel_item',
  );

  /* Display: Slide Main */
  $handler = $view->new_display('block', 'Slide Main', 'main');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'owlcarousel';
  $handler->display->display_options['style_options']['instance'] = 'owlcarousel_settings_slideshow';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Block: Items */
  $handler->display->display_options['fields']['field_carousel_items']['id'] = 'field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['table'] = 'field_data_field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['field'] = 'field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['relationship'] = 'reverse_field_carousel_items_bean';
  $handler->display->display_options['fields']['field_carousel_items']['label'] = '';
  $handler->display->display_options['fields']['field_carousel_items']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_carousel_items']['type'] = 'entityreference_entity_view';
  $handler->display->display_options['fields']['field_carousel_items']['settings'] = array(
    'view_mode' => 'slide_main',
    'links' => 0,
  );
  $handler->display->display_options['fields']['field_carousel_items']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_carousel_items']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_carousel_items']['multi_type'] = 'ul';

  /* Display: Slide Thumb */
  $handler = $view->new_display('block', 'Slide Thumb', 'thumb');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'owlcarousel';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Block: Items */
  $handler->display->display_options['fields']['field_carousel_items']['id'] = 'field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['table'] = 'field_data_field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['field'] = 'field_carousel_items';
  $handler->display->display_options['fields']['field_carousel_items']['relationship'] = 'reverse_field_carousel_items_bean';
  $handler->display->display_options['fields']['field_carousel_items']['label'] = '';
  $handler->display->display_options['fields']['field_carousel_items']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_carousel_items']['type'] = 'entityreference_entity_view';
  $handler->display->display_options['fields']['field_carousel_items']['settings'] = array(
    'view_mode' => 'slide_thumbnail',
    'links' => 0,
  );
  $handler->display->display_options['fields']['field_carousel_items']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_carousel_items']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_carousel_items']['multi_type'] = 'ul';
  $export['openedu_bean_carousel_owl_carousel'] = $view;

  return $export;
}
