<?php
/**
 * @file
 * openedu_bean_testimonial.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function openedu_bean_testimonial_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "bean_admin_ui" && $api == "bean") {
    return array("version" => "5");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_eck_bundle_info().
 */
function openedu_bean_testimonial_eck_bundle_info() {
  $items = array(
    'openedu_bean_assets_testimonial' => array(
      'machine_name' => 'openedu_bean_assets_testimonial',
      'entity_type' => 'openedu_bean_assets',
      'name' => 'testimonial',
      'label' => 'Testimonial',
      'config' => array(
        'managed_properties' => array(
          'title' => 'title',
          'created' => 0,
          'changed' => 0,
        ),
      ),
    ),
  );
  return $items;
}

/**
 * Implements hook_image_default_styles().
 */
function openedu_bean_testimonial_image_default_styles() {
  $styles = array();

  // Exported image style: bean_testimonial.
  $styles['bean_testimonial'] = array(
    'label' => 'Bean Testimonial',
    'effects' => array(
      1 => array(
        'name' => 'manualcrop_crop_and_scale',
        'data' => array(
          'width' => 180,
          'height' => 180,
          'upscale' => 1,
          'respectminimum' => 1,
          'onlyscaleifcrop' => 0,
          'style_name' => 'bean_testimonial',
        ),
        'weight' => 0,
      ),
    ),
  );

  // Exported image style: bean_testimonial_thumbnail.
  $styles['bean_testimonial_thumbnail'] = array(
    'label' => 'Bean Testimonial Thumbnail',
    'effects' => array(
      2 => array(
        'name' => 'manualcrop_reuse',
        'data' => array(
          'reuse_crop_style' => 'bean_testimonial',
          'apply_all_effects' => 1,
        ),
        'weight' => 0,
      ),
      3 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 80,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => 2,
      ),
    ),
  );

  return $styles;
}
