(function ($) {

  Drupal.behaviors.openEduEventsinitColorbox = {
    attach: function (context, settings) {
      if (!$.isFunction($.colorbox) || typeof settings.colorbox === 'undefined') {
        return;
      }
  
      if (settings.colorbox.mobiledetect && window.matchMedia) {
        // Disable Colorbox for small screens.
        var mq = window.matchMedia("(max-device-width: " + settings.colorbox.mobiledevicewidth + ")");
        if (mq.matches) {
          return;
        }
      }
      
      var resizeTimer;
      resizeColorBox = function() {
        if (resizeTimer) {
          clearTimeout(resizeTimer);
        }
        resizeTimer = setTimeout(function() {
          if ($('#cboxOverlay').is(':visible')) {
            // maxWidth/Height gets ignored on resize
            var windowWidth = $(window).width(), windowHeight = $(window).height();
            settings.colorbox.width = settings.colorbox.originalWidth;
            settings.colorbox.height = settings.colorbox.originalHeight;
            if (settings.colorbox.maxWidth !== undefined && windowWidth > settings.colorbox.maxWidth) {
              settings.colorbox.width = settings.colorbox.maxWidth;
            }
            if (settings.colorbox.maxHeight !== undefined && windowHeight > settings.colorbox.maxHeight) {
              settings.colorbox.height = settings.colorbox.maxHeight;
            }            
            $.colorbox.resize(settings.colorbox);
          }
        }, 300);
      }

      $(window).resize(function(){
        // Resize Colorbox when resizing window or changing mobile device orientation
        resizeColorBox();
        window.addEventListener("orientationchange", resizeColorBox, false);
      });
      
      parseUrl = function(url) {
        var data = {};
        data.path = url;
        if (url.indexOf('#') > 0) {
          data.hash = url.substring(url.indexOf('#'));
          data.path = url.substring(0, url.indexOf('#'));
        }
        return data;
      }
      
      // Use class selector for views
      $('.openedu-events-colorbox', context).on('click', function(e) {
        e.preventDefault();
        
        // Parse URL, #value must have a space between it & the url
        url = $(this).data('href') || $(this).attr('href');
        url = parseUrl(url);
        settings.colorbox.href = url.path;
        if (url.hash) {
          settings.colorbox.href += ' ' + url.hash;
        }
        settings.colorbox.originalWidth = settings.colorbox.width;
        settings.colorbox.originalHeight = settings.colorbox.height;
        $.colorbox(settings.colorbox);
      });
  
      $(context).bind('cbox_complete', function () {
        Drupal.attachBehaviors('#cboxLoadedContent');
      });
    }
  };

})(jQuery);
