<?php
/**
 * @file
 * openedu_news.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function openedu_news_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_news_info|node|news|form';
  $field_group->group_name = 'group_news_info';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'news';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_news';
  $field_group->data = array(
    'label' => 'News Info',
    'weight' => '2',
    'children' => array(
      0 => 'body',
      1 => 'field_news_byline',
      2 => 'field_news_dateline',
      3 => 'field_news_topic',
      4 => 'field_news_image',
      5 => 'field_related_author',
      6 => 'field_image',
      7 => 'title',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => '',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_news_info|node|news|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_news|node|news|form';
  $field_group->group_name = 'group_news';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'news';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'News',
    'weight' => '1',
    'children' => array(
      0 => 'group_news_info',
      1 => 'group_news_group',
    ),
    'format_type' => 'tabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-news field-group-tabs',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_news|node|news|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_teaser|node|news|carousel_card';
  $field_group->group_name = 'group_teaser';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'news';
  $field_group->mode = 'carousel_card';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Teaser',
    'weight' => '2',
    'children' => array(
      0 => 'body',
      1 => 'title',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Teaser',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-teaser field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_teaser|node|news|carousel_card'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('News');
  t('News Info');
  t('Teaser');

  return $field_groups;
}
