(function ($) {
  /**
   * Simple toggle OG fields when checked.
   */
  Drupal.behaviors.OpenEDUSchoolsOGFields = {
    attach: function (context, settings) {
      // Set vars.
      var that = this,
          form = $('#school-node-form, #department-node-form, #program-node-form', context),
          group_group = form.find(':input[name="group_group[und]"]'),
          group_collapsible = form.find('.group-collapsible');

      if (form.length && group_group.length && group_collapsible.length) {
        // Initial check.
        if (!group_group.prop('checked')) {
          group_collapsible.hide();
        }

        // Click action.
        group_group.on('click', function(){
          group_collapsible.toggle();
        });

        // Form submit.
        form.submit(function(e){
          // Reset values case group isn't checked.
          if (!group_group.prop('checked')) {
            form.find('input[name="og_menu"]').attr('checked', false);
            form.find('input[name="purl[value]"]').val('');
            form.find('select[name="group_theme[und]"]').val('__default');
          }
        });
      }
    }
  };
})(jQuery);