<?php
/**
 * @file
 * openedu_schools_course_sections.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function openedu_schools_course_sections_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_content|openedu_schools_relationship|course_section|oeu_collapsible_list';
  $field_group->group_name = 'group_content';
  $field_group->entity_type = 'openedu_schools_relationship';
  $field_group->bundle = 'course_section';
  $field_group->mode = 'oeu_collapsible_list';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Content',
    'weight' => '2',
    'children' => array(
      0 => 'field_course_section_dates',
      1 => 'field_course_section_files',
      2 => 'field_course_section_location',
      3 => 'field_course_section_schedule',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Content',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-content field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_content|openedu_schools_relationship|course_section|oeu_collapsible_list'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_course_section|node|course|form';
  $field_group->group_name = 'group_course_section';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'course';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_course';
  $field_group->data = array(
    'label' => 'Course Sections',
    'weight' => '11',
    'children' => array(
      0 => 'field_course_sections',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-course-section field-group-tab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_course_section|node|course|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_staff_info|openedu_schools_relationship|course_section|form';
  $field_group->group_name = 'group_staff_info';
  $field_group->entity_type = 'openedu_schools_relationship';
  $field_group->bundle = 'course_section';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Staff Info',
    'weight' => '1',
    'children' => array(
      0 => 'field_staff_reference',
      1 => 'field_schools_role',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-staff-info field-group-fieldset',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_staff_info|openedu_schools_relationship|course_section|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_title|openedu_schools_relationship|course_section|oeu_collapsible_list';
  $field_group->group_name = 'group_title';
  $field_group->entity_type = 'openedu_schools_relationship';
  $field_group->bundle = 'course_section';
  $field_group->mode = 'oeu_collapsible_list';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Title',
    'weight' => '1',
    'children' => array(
      0 => 'field_staff_reference',
      1 => 'field_course_section_id',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Title',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-title field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_title|openedu_schools_relationship|course_section|oeu_collapsible_list'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Content');
  t('Course Sections');
  t('Staff Info');
  t('Title');

  return $field_groups;
}
