<?php
/**
 * @file
 * openedu_schools_department.features.inc
 */

/**
 * Implements hook_default_cer().
 */
function openedu_schools_department_default_cer() {
  $items = array();
  $items['node:department:field_course_reference*node:course:field_department_reference'] = entity_import('cer', '{
    "cer_bidirectional" : { "und" : [ { "value" : "1" } ] },
    "cer_enabled" : { "und" : [ { "value" : "1" } ] },
    "cer_left" : { "und" : [ { "path" : "node:department:field_course_reference" } ] },
    "cer_right" : { "und" : [ { "path" : "node:course:field_department_reference" } ] },
    "cer_weight" : { "und" : [ { "value" : "0" } ] },
    "identifier" : "node:department:field_course_reference*node:course:field_department_reference",
    "rdf_mapping" : []
  }');
  $items['node:department:field_program_reference*node:program:field_department_reference'] = entity_import('cer', '{
    "cer_bidirectional" : { "und" : [ { "value" : "1" } ] },
    "cer_enabled" : { "und" : [ { "value" : "1" } ] },
    "cer_left" : { "und" : [ { "path" : "node:department:field_program_reference" } ] },
    "cer_right" : { "und" : [ { "path" : "node:program:field_department_reference" } ] },
    "cer_weight" : { "und" : [ { "value" : "0" } ] },
    "identifier" : "node:department:field_program_reference*node:program:field_department_reference",
    "rdf_mapping" : []
  }');
  return $items;
}

/**
 * Implements hook_ctools_plugin_api().
 */
function openedu_schools_department_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "panelizer" && $api == "panelizer") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_node_info().
 */
function openedu_schools_department_node_info() {
  $items = array(
    'department' => array(
      'name' => t('Department'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Department Name'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
