<?php
/**
 * @file
 * openedu_schools_program.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function openedu_schools_program_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_content|node|program|oeu_collapsible_list';
  $field_group->group_name = 'group_content';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'program';
  $field_group->mode = 'oeu_collapsible_list';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Content',
    'weight' => '3',
    'children' => array(
      0 => 'body',
      1 => 'staff_profile_courses',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Content',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-content field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_content|node|program|oeu_collapsible_list'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_program_info|node|program|form';
  $field_group->group_name = 'group_program_info';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'program';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_program';
  $field_group->data = array(
    'label' => 'Program Info',
    'weight' => '1',
    'children' => array(
      0 => 'body',
      1 => 'title',
      2 => 'field_splash',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-program-info field-group-tab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_program_info|node|program|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_program|node|program|form';
  $field_group->group_name = 'group_program';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'program';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Program',
    'weight' => '0',
    'children' => array(
      0 => 'group_program_info',
      1 => 'group_program_contributor',
      2 => 'group_program_group',
      3 => 'group_program_structure',
    ),
    'format_type' => 'tabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-program field-group-tabs',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_program|node|program|form'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Content');
  t('Program');
  t('Program Info');

  return $field_groups;
}
